it-swarm-vi.com

Cập nhật firmware cho iPod Touch (iPhone)?

Tôi cần cập nhật chương trình cơ sở cho iPod Touch (iPhone) trong Ubuntu và vì tôi đã bẻ khóa iPod Touch, tôi cần iTunes để cài đặt ứng dụng, nhưng tiếc là chưa tìm được cách nào để làm điều đó trong Ubuntu. Tôi biết rằng có thể sử dụng VirtualBox hoặc Wine, nhưng trong hầu hết các lần iTunes không muốn làm việc trên Wine và đối với VirtualBox, tôi cần cài đặt lại Windows mà tôi đã chuyển sang Ubuntu chỉ vài tháng trước và không muốn quay lại với nó.

Người dùng Linux có iPod Touch (iPhone) làm gì trong trường hợp này?

Bất kỳ đề xuất để giải quyết vấn đề sẽ được hài lòng.

Và cuối cùng, sẽ mất bao lâu trước khi Apple phát triển iTunes cho Linux OS?

18
Bakhtiyor

Mặc dù một số phiên bản cũ hơn của iTunes hiện có thể được tạo để hoạt động với Wine (hoặc Crossover), nhưng chúng không thể được sử dụng để cập nhật hoặc đồng bộ hóa iPod mới hơn

Lý do là Wine thiếu trình xử lý cho trình điều khiển thiết bị USB của Windows và iPod hoạt động như một thiết bị USB tùy chỉnh. Đây là cùng một lý do mà phần mềm yêu cầu khóa đặc biệt cũng không (chưa) hoạt động trong Wine. Có một số bản vá sơ bộ có sẵn cho việc này và bạn có thể đọc thêm lịch sử trên Wine wiki , tuy nhiên đừng mong đợi bất cứ điều gì có thể hoạt động.

Những chiếc iPod duy nhất hiện đang hoạt động trong Wine là những chiếc iPod thực sự cũ hoạt động như những thiết bị lưu trữ dung lượng lớn USB đơn giản. Và thậm chí sau đó bạn vẫn cần tìm một iTunes cũ hơn, đang hoạt động.

Do vấn đề này ở Wine, để thực hiện nâng cấp chương trình cơ sở, bạn sẽ cần phải thiết lập một máy ảo bằng Virtualbox hoặc VMware hoặc, có lẽ đơn giản hơn là mượn máy tính của người khác.

9
Scott Ritchie

Tôi không biết điều này có hoạt động với iPod touch của bạn không, nhưng nó hoạt động với các iPod cũ hơn của tôi: http://code.google.com.vn/p/iPod-update/

4
manyxcxi

Nhìn vào Crossovertrang cho iTunes , một vài phiên bản đã được báo cáo để hoạt động. Crossover chi phí tiền, nhưng nó có thể là giá trị nó cho bạn.

3
Michael Crenshaw

Nâng cấp chương trình cơ sở không hoạt động với tôi: Ubuntu 8.04 LTS với vmplayer và một XP cũ với iTunes.

Không có cơ hội. iphone đã bị hỏng trong phần còn lại của ngày cho đến khi tôi cắm nó vào máy tính windows của mình ở phía công việc.

Từ quan điểm này: Các sản phẩm của Apple hoàn toàn không có! Tại sao tôi cần một cửa sổ hoặc mac với iTunes để có điện thoại? Trường hợp đã nói rằng khi mua 'điều kỳ diệu' đó, tôi cần một iTunes đang chạy để làm cho nó hoạt động? Ai biết chi phí trước?

3
Ice

libimobiledevice

Nó vẫn đang thử nghiệm nhưng bạn nên kiểm tra libimobiledevice . Vẫn chưa có GUI, nhưng họ đang làm việc để các mô hình iPod touch hoạt động trên Linux (bao gồm cả nâng cấp và hạ cấp phần mềm).


Chỉnh sửa: Theo buntu Wiki đây là mặc định kể từ ít nhất 14.04 và được triển khai trong các dự án khác nhau. Kiểm tra tin tức và trạng thái trên trang dự án libimobiledevice để biết chi tiết. Hiện tại họ tuyên bố rằng họ hỗ trợ iOS 9, bản này vẫn đang trong giai đoạn thử nghiệm.

2
PierreS

Tôi mệt mỏi khi cập nhật phần sụn iPhone từ v2 lên v3 bằng iTunes chạy trong VMware. Quá trình dừng giữa dòng và iPhone đã vô dụng. Tôi đã nối nó với máy windows của một người bạn và sau vài lần cập nhật, nó đã hoạt động trở lại.

Các bản cập nhật cùng với các phiên bản chính hoạt động tốt trong iTunes/VMware.

0
A.B.